Page MenuHomePhabricator

Deprecate and remove use of API action=purge with GET requests
Closed, ResolvedPublic

Description

T135170 initially wanted to do this, but for some reason ended up doing c84ba4d8 instead to make purging more complex and fragile. Let's do it for real.

Timeline:

  • 1.28: Update ApiPurge to emit a warning and log usage if used via GET
  • 1.28: Communicate the deprecation to the mediawiki-api-announce mailing list
  • 1.28/1.29: Review the usage statistics in Kibana, potentially alert high users directly
  • 1.29: Announce removal date to the mediawiki-api-announce mailing list
  • 1.29: Update ApiPurge to require POST
  • 1.29: If possible, revert c84ba4d8.

Event Timeline

Anomie created this task.Sep 14 2016, 3:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2016, 3:04 PM

Change 310560 had a related patch set uploaded (by Anomie):
API: Deprecate use of ApiPurge via GET

https://gerrit.wikimedia.org/r/310560

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Sep 14 2016, 3:07 PM

Change 310560 merged by jenkins-bot:
API: Deprecate use of ApiPurge via GET

https://gerrit.wikimedia.org/r/310560

Anomie updated the task description. (Show Details)Sep 14 2016, 4:44 PM
Anomie moved this task from Needs Review to Blocked on the MediaWiki-API board.
Anomie removed a project: Patch-For-Review.
Anomie updated the task description. (Show Details)Dec 29 2016, 4:16 AM

Change 335454 had a related patch set uploaded (by Anomie):
ApiPurge: Require POST

https://gerrit.wikimedia.org/r/335454

Change 335455 had a related patch set uploaded (by Anomie):
Revert "Avoid page_touched update for HTTP GET action=purge requests"

https://gerrit.wikimedia.org/r/335455

Anomie moved this task from Blocked to Needs Review on the MediaWiki-API board.Feb 1 2017, 3:40 PM

Change 335454 merged by jenkins-bot:
ApiPurge: Require POST

https://gerrit.wikimedia.org/r/335454

Anomie updated the task description. (Show Details)Feb 2 2017, 1:50 AM

Change 335455 merged by jenkins-bot:
[mediawiki/core@master] Deprecate "Avoid page_touched update for HTTP GET action=purge requests"

https://gerrit.wikimedia.org/r/335455

Krinkle updated the task description. (Show Details)Mar 28 2017, 11:52 PM
Anomie closed this task as Resolved.Mar 29 2017, 2:08 PM